From d2e6de237b419aad2630f854bda9c0d7130086a7 Mon Sep 17 00:00:00 2001
From: Enrico Scholz <enrico.scholz@sigma-chemnitz.de>
Date: Thu, 7 Sep 2023 15:43:16 +0200
Subject: [PATCH] env2string: allow to delete variables

From: Enrico Scholz <enrico.scholz@sigma-chemnitz.de>

e.g. after

| serverip=10.1.1.1
| serverip=

the 'serverip' should not be set

Signed-off-by: Enrico Scholz <enrico.scholz@sigma-chemnitz.de>
---
 scripts/env2string.awk | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/scripts/env2string.awk b/scripts/env2string.awk
index de470a49941b..04b2bc038c38 100644
--- a/scripts/env2string.awk
+++ b/scripts/env2string.awk
@@ -36,6 +36,8 @@ NF {
 			# Record the value of the variable now completed
 			vars[var] = env
 			do_output = 1
+		} else {
+		        delete vars[var]
 		}
 
 		# Collect the variable name. The value follows the '='
@@ -76,6 +78,8 @@ END {
 	if (length(env) != 0) {
 		vars[var] = env
 		do_output = 1
+	} else {
+	        delete vars[var]
 	}
 
 	if (do_output) {
-- 
2.41.0

